Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class FontDescriptor

    java.lang.Object
      org.jini.rio.watch.FontDescriptor

All Implemented Interfaces:
  Serializable

    public class FontDescriptor

extends Object
implements Serializable

Contains information about a Font used by the AccumulatorViewer

See Also:
  Serialized Form

Constructor Summary
`FontDescriptor(String name, int style, int size)` Creates new FontDescriptor

Method Summary
`String` | `getName()` Getter for property name.
`int` | `getSize()` Getter for property size.
`int` | `getStyle()` Getter for property style.
`void` | `setName(String name)` Setter for property name.
`void` | `setSize(int size)` Setter for property size.
`void` | `setStyle(int style)` Setter for property style.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontDescriptor

    public FontDescriptor(String name,
                          int style,
                          int size)

  Creates new FontDescriptor

  Parameters:
    `name` - The font name
    `style` - The font style
    `size` - The font size

Method Detail

### getStyle

    public int getStyle()

  Getter for property style.

  Returns:
    Value of property style.

### setStyle

    public void setStyle(int style)

  Setter for property style.

  Parameters:
    `style` - New value of property style.

### getSize

    public int getSize()

  Getter for property size.

  Returns:
    Value of property size.

### setSize

    public void setSize(int size)

  Setter for property size.

  Parameters:
    `size` - New value of property size.

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.